## gcc-4.8 4.8.4-1

=== debian/changelog ===
gcc-4.8 (4.8.4-1) unstable; urgency=medium

  * GCC 4.8.4 release.
    - Fix PR target/61407 (darwin), PR middle-end/58624 (ice),
      PR sanitizer/64265 (wrong code).
  * Require recent binutils to pass go test failures.

 -- Matthias Klose <doko@debian.org>  Fri, 19 Dec 2014 19:48:34 +0100

gcc-4.8 (4.8.3-19) unstable; urgency=medium

  * GCC 4.8.4 release candidate 1.
  * Update to SVN 20141214 (r218716) from the gcc-4_8-branch.
    - Fix PR middle-end/64225 (missed optimization),
      PR tree-optimization/64269 (ice).
  * Disable building the sanitizer libs on powerpc, ppc64 and ppc64. Not
    yet completely ported, and causing kernel crashes running the tests.
  * Don't build libphobos multilibs, there is no gdc-multilib built.

 -- Matthias Klose <doko@debian.org>  Sun, 14 Dec 2014 19:11:04 +0100

gcc-4.8 (4.8.3-18) unstable; urgency=medium

  * Update to SVN 20141210 (r218575) from the gcc-4_8-branch.
    - Fix PR target/55351 (SH), PR tree-optimization/61686,
      PR bootstrap/64213.
  * Fix cross builds with dpkg-architecture unconditionally exporting
    target variables. For now specify the target architecture
    in debian/target. This still needs to work with older dpkg versions,
    so don't "simplify" the packaging. Addresses: #768167.

 -- Matthias Klose <doko@debian.org>  Wed, 10 Dec 2014 13:44:26 +0100

gcc-4.8 (4.8.3-17) unstable; urgency=medium

  * Update to SVN 20141208 (r218508) from the gcc-4_8-branch.
    - Fix PR target/59593 (ARM), PR c++/56493 (performance),
      PR libstdc++/63840, PR libstdc++/61947, PR libstdc++/59603,
      PR target/50751 (SH), PR rtl-optimization/64037i (wrong code).

 -- Matthias Klose <doko@debian.org>  Tue, 09 Dec 2014 09:20:49 +0100

gcc-4.8 (4.8.3-16) unstable; urgency=medium

  * Update to SVN 20141202 (r218278) from the gcc-4_8-branch.
    - Fix PR target/64115 (powerpc), PR middle-end/64111 (ice).
  * Move libphobos2.a into the gcc_lib_dir. Closes: #771647.

 -- Matthias Klose <doko@debian.org>  Tue, 02 Dec 2014 17:46:26 +0100

gcc-4.8 (4.8.3-15) unstable; urgency=medium

  * Update to SVN 20141128 (r218178) from the gcc-4_8-branch.
    - Fix PR fortran/63938 (OpenMP), PR libgomp/61200 (OpenMP, ice),
      PR middle-end/64067 (ice), PR rtl-optimization/63659 (wrong code),
      PR preprocessor/60436 (ice).
    - This adds the backports as found in gcc-4.9 4.9.2-4.

 -- Matthias Klose <doko@debian.org>  Sat, 29 Nov 2014 01:58:32 +0100

gcc-4.8 (4.8.3-14) unstable; urgency=medium

  * Update to SVN 20141128 (r218162) from the gcc-4_8-branch.
    - Fix PR target/56846 (ARM), PR tree-optimization/61969 (wrong code),
      PR tree-optimization/62031 (wrong code), PR tree-optimization/63379
      (wrong code), PR tree-optimization/63605 (wrong code), PR middle-end/63665
      (wrong code), PR target/60111 (SH), PR target/63673 (rs6000),
      PR target/63947 (x86), PR tree-optimization/62167 (wrong code),
      PR tree-optimization/63841 (wrong code), PR ipa/63838 (wrong code),
      PR c++/63455 (ice), PR c++/63415 (ice), PR c++/56710 (ice),
      PR c++/58624 (ice), PR ada/47500, PR libfortran/63589.
    - Fixes for Cortex-A53 Erratum 835769 (AArch64).

  [ Matthias Klose ]
  * Fix the libphobos cross build.
  * Fix typo in the libstdc++ HTML docs. Addresses: #766498.
  * Use doxygen's copy of jquery.js for the libstdc++ docs. Addresses: #766499.
  * Support building the gcc-4.8 base package only.

  [ Aurelien Jarno ]
  * Always configure sh4-linux with --with-multilib-list=m4,m4-nofpu,
    even with multilib disabled, as it doesn't produce additional
    libraries.

 -- Matthias Klose <doko@debian.org>  Fri, 28 Nov 2014 17:31:35 +0100

gcc-4.8 (4.8.3-13) unstable; urgency=medium

  * Update to SVN 20141014 (r216202) from the gcc-4_8-branch.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Oct 2014 16:20:41 +0200

gcc-4.8 (4.8.3-12) unstable; urgency=high

  * Update to SVN 20140930 (r215742) from the gcc-4_8-branch.

  [ Aurelien Jarno ]
  * Default to mips64 ISA on mips64el, with tuning for mips64r2.

  [ Matthias Klose ]
  * Don't suggest libbacktrace-dbg and binutils-gold. Closes: #763161.

 -- Matthias Klose <doko@debian.org>  Sat, 13 Sep 2014 11:16:01 +0200

gcc-4.8 (4.8.3-11) unstable; urgency=medium

  * Update to SVN 20140913 (r215236) from the gcc-4_8-branch.
  * Fix installation of the libstdc++ documentation. Addresses: #760872.

 -- Matthias Klose <doko@debian.org>  Sat, 13 Sep 2014 11:16:01 +0200

gcc-4.8 (4.8.3-10) unstable; urgency=medium

  * Update to SVN 20140831 (r214767) from the gcc-4_8-branch.

  [ Samuel Thibault ]
  * boehm-gc: use anonymous mmap instead of brk also on hurd-*.

 -- Matthias Klose <doko@debian.org>  Sun, 31 Aug 2014 21:04:10 +0200

gcc-4.8 (4.8.3-9) unstable; urgency=medium

  * Update to SVN 20140820 (r214213) from the gcc-4_8-branch.
  * Backport PR lto/62032.
  * Fix PR tree-optimization/59586, graphite segfault, taken from the trunk.
    LP: #1227789.

 -- Matthias Klose <doko@debian.org>  Wed, 20 Aug 2014 11:25:25 +0200

gcc-4.8 (4.8.3-8) unstable; urgency=medium

  * Update to SVN 20140814 (r213981) from the gcc-4_8-branch.
  * Add build dependency on systemtap-sdt-dev.
  * Backport Python3 pretty printer support (Samuel Bronson).
  * Proposed backport for PR libstdc++/61841. Closes: #749290.
  * Build-depend on dpkg-dev (>= 1.7.11).

 -- Matthias Klose <doko@debian.org>  Thu, 14 Aug 2014 21:50:18 +0200

gcc-4.8 (4.8.3-7) unstable; urgency=medium

  * Update to SVN 20140801 (r213447) from the gcc-4_8-branch.
    - CVE-2014-5044, fix integer overflows in array allocation in libgfortran.
      Closes: #756325.
    - Fix PR tree-optimization/61964. LP: #1347147.
  * Fix java.security symlink. Addresses: #756484.

 -- Matthias Klose <doko@debian.org>  Fri, 01 Aug 2014 12:07:59 +0200

gcc-4.8 (4.8.3-6) unstable; urgency=medium

  * Update to SVN 20140725 (r213051) from the gcc-4_8-branch.
  * Don't gzip the xz compressed testsuite logs and summaries.


